Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class EnumElement

    java.lang.Object
      com.compoze.collab.EnumElement

All Implemented Interfaces
  IDigestSupport, Serializable, Comparable

Direct Known Subclasses:
  BusyStatus, DefaultContainerClass, DefaultRootContainerClass, Importance, RecipientType, RepeatForUnit, RepeatHow, RepeatType, RepeatWeekends, SortOrder, TaskStatus

    public class EnumElement

extends Object
implements Serializable, Comparable, IDigestSupport

This class is an enumeration element. Each `CollabEnum` holds a list of `EnumElement`s.

See Also
  Serialized Form

Field Summary
`protected int` | `m_iValue`
`protected String` | `m_sStr`
`protected Integer` | `m_value`

Constructor Summary
`EnumElement(Class enumClass, com.compoze.collab.resource.ResourceBundleWrapper rb, com.compoze.collab.resource.ResourceKey rk, int iValue, float fSortValue, String sStr)` Constructor.

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)` Equals.
`String` | `getDisplayName(Locale locale)` Gets the display name of the element in a particular display locale.
`CollabEnum` | `getEnumeration()` Gets the enumeration.
`Integer` | `getIntegerValue()` Gets the value.
`int` | `getIntValue()` Gets the value.
`String` | `getString()` Gets the non-localized string for the enum.
`boolean` | `isDefault()` Determines if this is the default enum element (in its top level enumeration only).
`protected Object` | `readResolve()` Resolves the object during de-serialization.
`String` | `toString()` Creates a string representation of the element.
`void` | `updateDigest(MessageDigest digest)` Updates the specified MessageDigest with the object's internal state.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_iValue

    protected int m_iValue

### m_value

    protected transient Integer m_value

### m_sStr

    protected transient String m_sStr

Constructor Detail

### EnumElement

    public EnumElement(Class enumClass,
                       com.compoze.collab.resource.ResourceBundleWrapper rb,
                       com.compoze.collab.resource.ResourceKey rk,
                       int iValue,
                       float fSortValue,
                       String sStr)

  Constructor.

Method Detail

### isDefault

    public boolean isDefault()

  Determines if this is the default enum element (in its top level enumeration only).

### getIntValue

    public int getIntValue()

  Gets the value.

### getIntegerValue

    public Integer getIntegerValue()

  Gets the value.

### getString

    public String getString()

  Gets the non-localized string for the enum.

### getDisplayName

    public String getDisplayName(Locale locale)

  Gets the display name of the element in a particular display locale.

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

### getEnumeration

    public CollabEnum getEnumeration()

  Gets the enumeration.

### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

  Resolves the object during de-serialization.

  Throws
    `ObjectStreamException`

### equals

    public boolean equals(Object o)

  Equals.

  Overrides:
    `equals` in class `Object`
  Returns
    `true` if the enum elements are equal (the class of the enums and their int values are equal)

### toString

    public String toString()

  Creates a string representation of the element.

  Overrides:
    `toString` in class `Object`
  Returns
    the string representation (not `null`)

### updateDigest

    public void updateDigest(MessageDigest digest)

  Description copied from interface: `IDigestSupport`
  Updates the specified MessageDigest with the object's internal state.

  Specified by:
    `updateDigest` in interface `IDigestSupport`
  Parameters
    `digest` - the digest to update (not `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved